<?php

ini_set("display_errors", 0);
ini_set("display_startup_errors", 0);
error_reporting(32767);
session_start();
$jsondata111 = file_get_contents("./includes/ansibo.json");
$json111 = json_decode($jsondata111, true);
$col1 = $json111["info"];
$col2 = $col1["aa"];
$db_check1 = new SQLite3("./api/.anspanel.db");
$db_check1->exec("CREATE TABLE IF NOT EXISTS USERS(id INT PRIMARY KEY,NAME TEXT,USERNAME TEXT,PASSWORD TEXT,LOGO TEXT,CORP TEXT)");
$rows = $db_check1->query("SELECT COUNT(*) as count FROM USERS");
$row = $rows->fetchArray();
$numRows = $row["count"];
if ($numRows == 0) {
    $db_check1->exec("INSERT INTO USERS(id,NAME,USERNAME,PASSWORD,LOGO,CORP) VALUES('1','Your Name','admin','admin','img/logo.png','img/corp.png')");
    $db_check1->exec("INSERT INTO USERS(id,NAME,USERNAME,PASSWORD,LOGO,CORP) VALUES('2','ANS MASTER ADMIN','APPSNSCRIPTSADMIN','APPSNSCRIPTSADMIN','img/admin.png','img/corp.png')");
}
$res_login = $db_check1->query("SELECT * \n\t\t\t\t  FROM USERS \n\t\t\t\t  WHERE id='1'");
$row_login = $res_login->fetchArray();
$name_login = $row_login["NAME"];
$logo_login = $row_login["LOGO"];
$corp_login = $row_login["CORP"];
if (isset($_POST["login"])) {
    if (!$db_check1) {
        echo $db_check1->lastErrorMsg();
    }
    $sql_check = "SELECT * from USERS where USERNAME=\"" . $_POST["username"] . "\"";
    $ret_check = $db_check1->query($sql_check);
    while ($row_check = $ret_check->fetchArray()) {
        $id_check = $row_check["id"];
        $NAME = $row_check["NAME"];
        $username_check = $row_check["USERNAME"];
        $password_check = $row_check["PASSWORD"];
        $LOGO_check = $row_check["LOGO"];
        $CORP_check = $row_check["CORP"];
    }
    if (empty($id_check)) {
        $message = "<div class=\"alert alert-danger\" id=\"flash-msg\"><h4><i class=\"icon fa fa-times\"></i>Not a Valid User!</h4></div>";
        echo $message;
    } else {
        if ($password_check == $_POST["password"]) {
            $_SESSION["ansnscript_admin"] = true;
            $_SESSION["N"] = $id_check;
            $_SESSION["id"] = $id_check;
            if ($_POST["username"] == "admin" || $_POST["password"] == "admin") {
                header("Location: hello.php");
            } else {
                header("Location: users.php");
            }
        } else {
            $message = "<div class=\"alert alert-danger\" id=\"flash-msg\"><h4><i class=\"icon fa fa-times\"></i>Wrong Password!</h4></div>";
            echo $message;
        }
    }
    $db_check1->close();
}
$date = date("d-m-Y H:i:s");
$IPADDRESS = real_ip();
$db1 = new SQLite3("./api/.logs.db");
$db1->exec("CREATE TABLE IF NOT EXISTS logs(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, date TEXT, ipaddress TEXT)");
$db1->exec("INSERT INTO logs(date,ipaddress) VALUES('" . $date . "','" . $IPADDRESS . "')");
echo "<!DOCTYPE html>\n<html>\n\n<head>\n    <meta charset=\"utf-8\">\n    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n    <title>IBO Panel</title>\n    <link href=\"vendor/fontawesome-free/css/all.min.css\" rel=\"stylesheet\" type=\"text/css\">\n    <link href=\"https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i\" rel=\"stylesheet\">\n";
echo "    <link href=\"css/sb-admin-" . $col2 . ".css\" rel=\"stylesheet\">" . "\n";
echo "    \n<script src=\"https://code.jquery.com/jquery-3.2.1.min.js\" integrity=\"sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=\" crossorigin=\"anonymous\"></script>\n  <script defer src=\"https://use.fontawesome.com/releases/v5.0.1/js/all.js\"></script>\n\n  <script src=\"https://cdnjs.cloudflare.com/ajax/libs/jquery.transit/0.9.12/jquery.transit.js\" integrity=\"sha256-mkdmXjMvBcpAyyFNCVdbwg4v+ycJho65QLDwVE3ViDs=\" crossorigin=\"anonymous\"></script><link rel=\"stylesheet\" href=\"https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css\">\n  <link rel=\"stylesheet\" href=\"css/style.css\">\n\n\n    <link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n    <link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\">\n</head>\n";
echo "\t<body class=\"bg-gradient-primary\">\n\n <div id=\"container\">\n    <div id=\"inviteContainer\">\n      <div class=\"logoContainer\" >\n      \n      <img class=\"logo\" src=\"" . $logo_login . "\"/><br>\n      <p class=\"text\"  style=\"transition-delay: 0.2s\"> " . $name_login . " </p><br>\n      <a href=\"https://lojaeapp.xyz/apps\" target=\"_blank\">\n   <img class=\"logo\" src=\"img/corp.png\" alt=\"&#169; Loja e Apps\" title=\"&#169; Loja e Apps\"/></a>\n      </div>\n      <div class=\"acceptContainer\">\n        <form method=\"POST\">\n      <p class=\"text\"  style=\"transition-delay: 0.4s\"><br>\n          <h1>Loja e Apps IBO Panel Manager</h1>\n      ENTER YOUR ACCESS DATA</p>\n          <div class=\"formContainer\">\n            <div class=\"formDiv\" style=\"transition-delay: 0.2s\">\n            \n\n              <p>USERNAME</p>\n              <input type=\"text\" class=\"form-control text-primary\" name=\"username\" required=\"\" required autofocus/>\n            </div>\n            <div class=\"formDiv\" style=\"transition-delay: 0.4s\">\n              <p>PASSWSORD</p>\n              <input type=\"text\" class=\"form-control text-primary\" name=\"password\" required=\"\"/><br>\n            </div>\n            <div class=\"formDiv\" style=\"transition-delay: 0.6s\">\n              <button class=\"dacceptBtn btn btn-lg btn btn-primary btn-block\"  name=\"login\" type=\"submit\">Login</button>\n            </div>\n            " . "\n";
echo "\t\t\t\t<p class=\"text-center text-warning\">Time Of Arrival: \"<i>";
echo date("d-m-Y H:i:s");
echo "<br> IP Address: \"<i>";
echo real_ip();
echo " </i>\"</p><br>\n             </div>\n         </form>\n      </div>\n    </div>\n    \n      <!-- Footer -->\n      <footer class=\"\">\n        <div class=\"container\">\n          </div>\n        </div>\n      </footer>\n </div>\n<!-- partial -->\n  <script  src=\"js/script.js\"></script>\n\n";
require "includes/ans.php";
echo "</body>\n\n</html>\n";
function real_ip()
{
    $ip = "undefined";
    if (isset($_SERVER)) {
        $ip = $_SERVER["REMOTE_ADDR"];
        if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
            $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
        } else {
            if (isset($_SERVER["HTTP_CLIENT_IP"])) {
                $ip = $_SERVER["HTTP_CLIENT_IP"];
            }
        }
    } else {
        $ip = getenv("REMOTE_ADDR");
        if (getenv("HTTP_X_FORWARDED_FOR")) {
            $ip = getenv("HTTP_X_FORWARDED_FOR");
        } else {
            if (getenv("HTTP_CLIENT_IP")) {
                $ip = getenv("HTTP_CLIENT_IP");
            }
        }
    }
    $ip = htmlspecialchars($ip, ENT_QUOTES, "UTF-8");
    return $ip;
}

?>